Bug 1016831 - SELinux is preventing /usr/bin/bash from 'write' accesses on the file lmt-req.lock.
SELinux is preventing /usr/bin/bash from 'write' accesses on the file lmt-req...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:131e2ca91bd7f8d5a434dd9ff96...
:
: 1144790 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 15:06 EDT by Jacek Sowiński
Modified: 2015-02-18 06:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:34:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jacek Sowiński 2013-10-08 15:06:36 EDT
Description of problem:
It happens after battery <---> AC switch when laptop-mode-tools and acpid are both installed.
SELinux is preventing /usr/bin/bash from 'write' accesses on the file lmt-req.lock.

*****  Plugin catchall (100. confidence) suggests  ***************************

If aby bash powinno mieć domyślnie write dostęp do lmt-req.lock file.
Then proszę to zgłosić jako błąd.
Można utworzyć lokalny moduł polityki, aby umożliwić ten dostęp.
Do
można tymczasowo zezwolić na ten dostęp wykonując polecenia:
# grep laptop_mode /var/log/audit/audit.log | audit2allow -M mojapolityka
# semodule -i mojapolityka.pp

Additional Information:
Source Context                system_u:system_r:apmd_t:s0
Target Context                system_u:object_r:var_lock_t:s0
Target Objects                lmt-req.lock [ file ]
Source                        laptop_mode
Source Path                   /usr/bin/bash
Port                          <Nieznane>
Host                          (removed)
Source RPM Packages           bash-4.2.45-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.8.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.3-201.fc19.x86_64 #1 SMP Thu
                              Oct 3 00:47:03 UTC 2013 x86_64 x86_64
Alert Count                   3
First Seen                    2013-10-08 20:48:37 CEST
Last Seen                     2013-10-08 20:48:37 CEST
Local ID                      d56e9b01-c768-46f0-9045-1791849f0ffb

Raw Audit Messages
type=AVC msg=audit(1381258117.981:584): avc:  denied  { write } for  pid=16751 comm="laptop_mode" name="lmt-req.lock" dev="tmpfs" ino=74705 scontext=system_u:system_r:apmd_t:s0 tcontext=system_u:object_r:var_lock_t:s0 tclass=file


type=SYSCALL msg=audit(1381258117.981:584): arch=x86_64 syscall=open success=no exit=EACCES a0=12c0b60 a1=201 a2=1b6 a3=0 items=0 ppid=16749 pid=16751 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=laptop_mode exe=/usr/bin/bash subj=system_u:system_r:apmd_t:s0 key=(null)

Hash: laptop_mode,apmd_t,var_lock_t,file,write

Additional info:
reporter:       libreport-2.1.7
hashmarkername: setroubleshoot
kernel:         3.11.3-201.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-10-09 10:28:54 EDT
Is lmt-req.lock owned by apmd?
Comment 2 Daniel Walsh 2015-01-03 09:57:44 EST
*** Bug 1144790 has been marked as a duplicate of this bug. ***
Comment 3 Daniel Walsh 2015-01-03 10:01:56 EST
59ed6109f64fa37ca42f67c5446a899b36352bf3 fixes this in git.
Comment 4 Fedora End Of Life 2015-01-09 17:20:00 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-18 06:34:35 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.